Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.configurator.impl.matching
Class SystemObjectMatching

    java.lang.Object
      com.sun.mdm.index.configurator.impl.matching.SystemObjectMatching

public class SystemObjectMatching
extends java.lang.Object

Represents the configuration for the matching of a system object.

Constructor Summary
`SystemObjectMatching(java.util.ArrayList aMatchColumns, java.lang.String aQualifiedName)` Creates new SystemObjectMatching instance.

Method Summary
`java.util.ArrayList` | `getMatchColums()` Getter for MatchColums attribute of the SystemObjectMatching object.
`java.lang.String` | `getQualifiedName()` Getter for QualifiedName attribute of the SystemObjectMatching object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SystemObjectMatching

    public SystemObjectMatching(java.util.ArrayList aMatchColumns,
                                java.lang.String aQualifiedName)

  Creates new SystemObjectMatching instance.

  Parameters:
    `aMatchColumns` - An ArrayList of MatchColumn instances representing the configured match fields of the system object.
    `aQualifiedName` - The qualified name of the system object this configuration relates to.

Method Detail

### getMatchColums

    public java.util.ArrayList getMatchColums()

  Getter for MatchColums attribute of the SystemObjectMatching object.

  Returns:
    the match columns (ArrayList of MatchColumn instances)

### getQualifiedName

    public java.lang.String getQualifiedName()

  Getter for QualifiedName attribute of the SystemObjectMatching object.

  Returns:
    the qualified name of the system object this configuration relates to.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.